For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
      • GETGet all projects in a workspace
      • POSTCreate a project
      • GETGet project
      • PATCHUpdate a project
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceProjects

Get all projects in a workspace

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/workspaces/:workspace_id/projects/
GET
/api/v1/workspaces/:workspace_id/projects/
$curl https://api.prolific.com/api/v1/workspaces/60a42f4c693c29420793cb73/projects/ \
> -H "Authorization: Token <token>"
1{
2 "results": [
3 {
4 "id": "62fce6fff0a78eb4f3ebc09c",
5 "title": "My new project",
6 "type": "PRIVATE",
7 "description": "Organise my next batch of studies",
8 "owner": "60a42f4c693c29420793cb73",
9 "public_details": null,
10 "users": [
11 {
12 "id": "60a42f4c693c29420793cb73",
13 "name": "Joe Soap",
14 "email": "joe.soap@gmail.com",
15 "roles": [
16 "PROJECT_EDITOR"
17 ]
18 }
19 ],
20 "naivety_distribution_rate": 0.5
21 }
22 ]
23}
Gets a list of all the projects within the workspace.
Was this page helpful?
Previous

Projects

Next

Create a project

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

workspace_idstringRequired
Workspace id

Response

Success
resultslist of objects
List of all projects for a user

Errors

4XX
Client Request Error